optware segfault

Discussion in 'Tomato Firmware' started by bjlockie, Mar 11, 2019.

  1. bjlockie

    bjlockie Network Guru Member

    I upgraded optware and now I can't run any apps from /opt (including opkg).
    They print "Segmentation fault".
    There is nothing in /var/log/messages

    Any ideas?
     
  2. Sean B.

    Sean B. Network Guru Member

    Uclibc was likely updated, and your installed packages are not compatible with the newer version. Run:

    Code:
    ldd X
    Where X is the name of a program that no longer functions. Post output.
     
  3. bjlockie

    bjlockie Network Guru Member

    # ldd opkg
    Segmentation fault

    I remember the upgrade said something about libc.

    root@Tomato-Router:/tmp/home/root# which ldd
    root@Tomato-Router:/tmp/home/root# ldd
    root@Tomato-Router:/tmp/home/root#

    Is ldd built in to the shell?
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice